t.upgrade(1)

NAME
t.upgrade - Upgrades the version of the temporal database.

KEYWORDS
temporal, metadata, time

SYNOPSIS
t.upgrade
t.upgrade --help
t.upgrade [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

DESCRIPTION
The t.upgrade module upgrades the temporal database in the current mapset from version 2 (default in GRASS 7) to 3 (default in GRASS 8). The version 3 introduces a semantic label support, see i.band.library for details.

EXAMPLE

t.upgrade

SEE ALSO
t.info

AUTHORS
Martin Landa and Markus Neteler

SOURCE CODE

Available at: t.upgrade source code (history)

Accessed: Wednesday Feb 04 01:06:55 2026

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2025 GRASS Development Team, GRASS GIS 8.4.2 Reference Manual